## php7.0 7.0.4

=== win32/build/Makefile ===
#  +----------------------------------------------------------------------+
#  | PHP Version 7                                                        |
#  +----------------------------------------------------------------------+
#  | Copyright (c) 1997-2016 The PHP Group                                |
#  +----------------------------------------------------------------------+
#  | This source file is subject to version 3.01 of the PHP license,      |
#  | that is bundled with this package in the file LICENSE, and is        |
#  | available through the world-wide-web at the following url:           |
#  | http://www.php.net/license/3_01.txt                                  |
#  | If you did not receive a copy of the PHP license and are unable to   |
#  | obtain it through the world-wide-web, please send a note to          |
#  | license@php.net so we can mail you a copy immediately.               |
#  +----------------------------------------------------------------------+
#  | Author: Wez Furlong <wez@thebrainroom.com>                           |
#  +----------------------------------------------------------------------+
#
# $Id$
# This is the makefile template for the win32 build

CC="$(PHP_CL)"
LD="$(LINK)"
MC="$(MC)"
MT="$(MT)"
RE2C="$(RE2C)"
PGOMGR="$(PGOMGR)"
PHP_BUILD=$(PHP_BUILD)

MCFILE=$(BUILD_DIR)\wsyslog.rc
BUILD_DIR_DEV_NAME=php-$(PHP_VERSION_STRING)-devel-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE)
BUILD_DIR_DEV=$(BUILD_DIR)\$(BUILD_DIR_DEV_NAME)

all: generated_files $(EXT_TARGETS) $(PECL_TARGETS) $(SAPI_TARGETS)

build_dirs: $(BUILD_DIR) $(BUILD_DIRS_SUB) $(BUILD_DIR_DEV)

!if $(RE2C) == ""
generated_files: build_dirs Zend\zend_ini_parser.c \
	Zend\zend_language_parser.c \
	sapi\phpdbg\phpdbg_parser.c \
	$(PHPDEF) $(MCFILE)
!else
generated_files: build_dirs Zend\zend_ini_parser.c \
	Zend\zend_language_parser.c Zend\zend_ini_scanner.c \
	Zend\zend_language_scanner.c \
	sapi\phpdbg\phpdbg_parser.c sapi\phpdbg\phpdbg_lexer.c \
	$(PHPDEF) $(MCFILE)
!endif

$(BUILD_DIR)\$(PHPDLL).def: $(PHP_DLL_DEF_SOURCES)
	type $(PHP_DLL_DEF_SOURCES) > $(BUILD_DIR)\$(PHPDLL).def

Zend\zend_ini_parser.c Zend\zend_ini_parser.h: Zend\zend_ini_parser.y
	$(BISON) --output=Zend/zend_ini_parser.c -v -d -p ini_ Zend/zend_ini_parser.y

Zend\zend_language_parser.c Zend\zend_language_parser.h: Zend\zend_language_parser.y
	$(BISON) --output=Zend/zend_language_parser.c -v -d -p zend Zend/zend_language_parser.y

sapi\phpdbg\phpdbg_parser.c sapi\phpdbg\phpdbg_parser.h: sapi\phpdbg\phpdbg_parser.y
	$(BISON) --output=sapi/phpdbg/phpdbg_parser.c -v -d -p phpdbg_ sapi/phpdbg/phpdbg_parser.y
	
!if $(RE2C) != ""
Zend\zend_ini_scanner.c: Zend\zend_ini_scanner.l
	$(RE2C) $(RE2C_FLAGS) --no-generation-date --case-inverted -cbdFt Zend/zend_ini_scanner_defs.h -oZend/zend_ini_scanner.c Zend/zend_ini_scanner.l

Zend\zend_language_scanner.c: Zend\zend_language_scanner.l
	$(RE2C) $(RE2C_FLAGS) --no-generation-date --case-inverted -cbdFt Zend/zend_language_scanner_defs.h -oZend/zend_language_scanner.c Zend/zend_language_scanner.l
	
sapi\phpdbg\phpdbg_lexer.c: sapi\phpdbg\phpdbg_lexer.l
	$(RE2C) $(RE2C_FLAGS) --no-generation-date -cbdFo sapi/phpdbg/phpdbg_lexer.c sapi/phpdbg/phpdbg_lexer.l
!endif

!if $(PGOMGR) != ""
PHP7_PGD_OPTION=/PGD:$(PGOPGD_DIR)\php7.pgd
!else
PHP7_PGD_OPTION=
!endif

PHPDLL_RES=$(BUILD_DIR)\$(PHPDLL).res

$(MCFILE): win32\build\wsyslog.mc
	$(MC) -h win32\ -r $(BUILD_DIR)\ -x $(BUILD_DIR)\ win32\build\wsyslog.mc

#	$(RC) /fo $(MCFILE) $(BUILD_DIR)\wsyslog.rc

!if $(MT) == ""
_VC_MANIFEST_EMBED_EXE=
_VC_MANIFEST_EMBED_DLL=
!else
_VC_MANIFEST_EMBED_EXE= if exist $@.manifest $(MT) -nologo -manifest $@.manifest -outputresource:$@;1
_VC_MANIFEST_EMBED_DLL= if exist $@.manifest $(MT) -nologo -manifest $@.manifest -outputresource:$@;2
!endif

$(PHPDLL_RES): win32\build\template.rc
	$(RC) /fo $(PHPDLL_RES) /d FILE_DESCRIPTION="\"PHP Script Interpreter\"" \
		/d FILE_NAME="\"$(PHPDLL)\"" /d PRODUCT_NAME="\"PHP Script Interpreter\"" \
		/I$(BUILD_DIR) /d MC_INCLUDE="\"$(MCFILE)\"" \
		win32\build\template.rc

$(BUILD_DIR)\$(PHPDLL): generated_files $(PHPDEF) $(PHP_GLOBAL_OBJS) $(STATIC_EXT_OBJS) $(PHPDLL_RES) $(MCFILE)
	@copy win32\build\default.manifest $(BUILD_DIR)\$(PHPDLL).manifest >nul
#	@$(CC) $(PHP_GLOBAL_OBJS) $(STATIC_EXT_OBJS) $(STATIC_EXT_LIBS) $(LIBS) $(PHPDLL_RES) /link /out:$(BUILD_DIR)\$(PHPDLL) $(PHP7_PGD_OPTION) $(PHP_LDFLAGS) $(LDFLAGS) $(STATIC_EXT_LDFLAGS)
	@"$(LINK)" $(PHP_GLOBAL_OBJS_RESP) $(STATIC_EXT_OBJS_RESP) $(STATIC_EXT_LIBS) $(LIBS) $(PHPDLL_RES) /out:$(BUILD_DIR)\$(PHPDLL) $(PHP7_PGD_OPTION) $(PHP_LDFLAGS) $(LDFLAGS) $(STATIC_EXT_LDFLAGS)
	-@$(_VC_MANIFEST_EMBED_DLL)

$(BUILD_DIR)\$(PHPLIB): $(BUILD_DIR)\$(PHPDLL)

$(BUILD_DIR) $(BUILD_DIRS_SUB) $(BUILD_DIR_DEV):
	@echo Recreating build dirs
	@if not exist $(BUILD_DIR) mkdir $(BUILD_DIR)
	@cd $(BUILD_DIR)
	@for %D in ($(BUILD_DIRS_SUB)) do @if not exist %D @mkdir %D > NUL
	@if not exist $(BUILD_DIR_DEV) @mkdir $(BUILD_DIR_DEV) > NUL
	@cd "$(PHP_SRC_DIR)"
	

clean-sapi:
	@echo Cleaning SAPI
	@for %D in (_x $(EXT_TARGETS)) do @if exist $(BUILD_DIR)\%D @del /F /Q $(BUILD_DIR)\%D > NUL
	@for %D in (_x $(PECL_TARGETS)) do @if exist $(BUILD_DIR)\%D @del /F /Q $(BUILD_DIR)\%D > NUL
	@for %D in (_x $(SAPI_TARGETS)) do @if exist $(BUILD_DIR)\%D @del /F /Q $(BUILD_DIR)\%D > NUL
	-@del /F /Q $(BUILD_DIR)\$(PHPDLL)

clean: clean-sapi
	@echo Cleaning distribution build dirs
	@cd $(BUILD_DIR)
	@for %D in (_x $(BUILD_DIRS_SUB)) do @if exist %D @del /F /Q %D\*.* > NUL
	@cd "$(PHP_SRC_DIR)"
	-@del /F /Q $(BUILD_DIR)\*.res $(BUILD_DIR)\*.manifest $(BUILD_DIR)\*.lib $(BUILD_DIR)\*.ilk $(BUILD_DIR)\*.pdb $(BUILD_DIR)\*.exp $(PHPDEF) $(BUILD_DIR)\php-$(PHP_VERSION_STRING)-Win32.zip $(BUILD_DIR)\pecl-$(PHP_VERSION_STRING)-Win32.zip > NUL
	-rd /s /q $(BUILD_DIR)\php-$(PHP_VERSION_STRING)

clean-pecl:
	@echo Cleaning PECL targets only
	-rd /s /q $(BUILD_DIR)\pecl

clean-all:
	@echo Cleaning standard build dirs
	@cd $(BUILD_DIR)
	@for %D in (_x $(BUILD_DIRS_SUB)) do @if exist %D @rd /s /q %D
	@cd "$(PHP_SRC_DIR)"
	-@del /f /q $(BUILD_DIR)\*.res $(BUILD_DIR)\*.lib $(BUILD_DIR)\*.ilk $(BUILD_DIR)\*.pdb $(BUILD_DIR)\*.exp $(PHPDEF) $(BUILD_DIR)\*.rc $(BUILD_DIR)\*.manifest $(BUILD_DIR)\*.dbg $(BUILD_DIR)\*.bin $(BUILD_DIR)\php*.dll $(BUILD_DIR)\php*.exe > NUL

clean-pgo: clean-all
	-rd /s /q $(BUILD_DIR)\php-$(PHP_VERSION_STRING)
	-rd /s /q $(BUILD_DIR)\pecl-$(PHP_VERSION_STRING)
	-rd /s /q $(BUILD_DIR)\php-test-pack-$(PHP_VERSION_STRING)
	-del /f /q $(BUILD_DIR)\php-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE).zip
	-del /f /q $(BUILD_DIR)\php-debug-pack-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE).zip
	-del /f /q $(BUILD_DIR)\pecl-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE).zip
	-del /f /q $(BUILD_DIR)\php-test-pack-$(PHP_VERSION_STRING).zip

test:
	"$(BUILD_DIR)\php.exe" -d open_basedir= -d output_buffering=0 run-tests.php $(TESTS) -p "$(BUILD_DIR)\php.exe"

build-snap: generated_files
	SET PATH=$(PATH);$(PHP_BUILD)\bin
	@$(MAKE) "$(BUILD_DIR)\$(PHPDLL)"
	-for %T in ($(SAPI_TARGETS)) do $(MAKE) /I /nologo "%T"
	-for %T in ($(EXT_TARGETS)) do $(MAKE) /I /nologo "%T"
	-for %T in ($(PECL_TARGETS)) do $(MAKE) /I /nologo "%T"

build-dist: $(BUILD_DIR)\deplister.exe
	-rd /s /q $(BUILD_DIR)\php-$(PHP_VERSION_STRING)
	-rd /s /q $(BUILD_DIR)\pecl-$(PHP_VERSION_STRING)
	-del /f /q $(BUILD_DIR)\php-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE).zip
	-del /f /q $(BUILD_DIR)\php-debug-pack-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE).zip
	-del /f /q $(BUILD_DIR)\pecl-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE).zip
	$(BUILD_DIR)\php.exe -d date.timezone=UTC -n -dphar.readonly=0 win32/build/mkdist.php "$(BUILD_DIR)" "$(PHP_BUILD)" "$(PHPDLL)" "$(SAPI_TARGETS)" "$(EXT_TARGETS) $(PHP_EXTRA_DIST_FILES)" "$(PECL_TARGETS) $(PECL_EXTRA_DIST_FILES)" "$(SNAPSHOT_TEMPLATE)"
	cd $(BUILD_DIR)\php-$(PHP_VERSION_STRING)
	-$(ZIP) -9 -q -r ..\php-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE).zip .
	cd $(BUILD_DIR)\pecl-$(PHP_VERSION_STRING)
	-$(ZIP) -9 -q -r ..\pecl-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE).zip .
	cd $(BUILD_DIR)\php-test-pack-$(PHP_VERSION_STRING)
	-$(ZIP) -9 -q -r ..\php-test-pack-$(PHP_VERSION_STRING).zip .
	cd $(BUILD_DIR)
	-$(ZIP) -9 -q php-debug-pack-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE).zip *.pdb
	-$(ZIP) -9 -q -r php-devel-pack-$(PHP_VERSION_STRING)$(PHP_ZTS_ARCHIVE_POSTFIX)-Win32-$(PHP_COMPILER_SHORT)-$(PHP_ARCHITECTURE).zip $(BUILD_DIR_DEV_NAME)
	cd $(BUILD_DIR)

dist: all build-dist
snap: build-snap build-devel build-dist

$(BUILD_DIR)\deplister.exe:	win32\build\deplister.c
	$(PHP_CL) /Fo$(BUILD_DIR)\ /Fd$(BUILD_DIR)\ /Fp$(BUILD_DIR)\ /FR$(BUILD_DIR) /Fe$(BUILD_DIR)\deplister.exe win32\build\deplister.c imagehlp.lib

msi-installer: dist
	$(BUILD_DIR)\php.exe ..\php-installer\build-installer.php "$(BUILD_DIR)" "$(PHPDLL)" "$(SAPI_TARGETS)" "$(EXT_TARGETS)" "$(PECL_TARGETS)"

# need to redirect, since INSTALL is a file in the root...
install: really-install install-sdk

build-lib: build-ext-libs
	@if not exist $(BUILD_DIR_DEV)\lib mkdir $(BUILD_DIR_DEV)\lib >nul
	@copy $(BUILD_DIR)\$(PHPLIB) $(BUILD_DIR_DEV)\lib /y >nul

build-devel: build-headers build-lib
	@if not exist $(BUILD_DIR_DEV)\script mkdir $(BUILD_DIR_DEV)\script >nul
	@if not exist $(BUILD_DIR_DEV)\build mkdir $(BUILD_DIR_DEV)\build >nul
	@copy win32\build\confutils.js $(BUILD_DIR_DEV)\script\ /y >nul
	@copy win32\build\configure.tail $(BUILD_DIR_DEV)\script\ /y >nul
	@copy win32\build\config.w32.phpize.in $(BUILD_DIR_DEV)\script\ /y >nul
	@copy win32\build\Makefile.phpize $(BUILD_DIR_DEV)\script\ /y >nul
	@copy win32\build\phpize.bat $(BUILD_DIR_DEV)\ /y >nul
	@copy win32\build\template.rc $(BUILD_DIR_DEV)\build\ /y >nul
	@copy win32\build\default.manifest $(BUILD_DIR_DEV)\build\ /y >nul
	@copy $(BUILD_DIR)\devel\config.phpize.js $(BUILD_DIR_DEV)\script\ /y >nul
	@copy $(BUILD_DIR)\devel\phpize.js $(BUILD_DIR_DEV)\script\ /y >nul
	@copy $(BUILD_DIR)\devel\ext_deps.js $(BUILD_DIR_DEV)\script\ /y >nul

install-sdk: build-devel
	@xcopy /Q /Y /E /I $(BUILD_DIR_DEV)\* $(PHP_PREFIX)\SDK

really-install:
	@if not exist $(PHP_PREFIX) mkdir $(PHP_PREFIX)
	@if not exist $(PHP_PREFIX)\ext mkdir $(PHP_PREFIX)\ext
	@echo Installing files under $(PHP_PREFIX)
	@copy $(BUILD_DIR)\*.exe $(PHP_PREFIX) /y >nul
	@copy $(BUILD_DIR)\php_*.dll $(PHP_PREFIX)\ext /y >nul
	dir /b $(BUILD_DIR)\php_*.dll > $(BUILD_DIR)\extension_dlls.txt
	@xcopy $(BUILD_DIR)\*.dll /exclude:$(BUILD_DIR)\extension_dlls.txt $(PHP_PREFIX) /y >nul
	@echo Registering event source with syslog (requires admin rights)
	@echo It's okay for this step to fail:
	-$(PHP_PREFIX)\php.exe -n -dextension_dir=$(PHP_PREFIX) win32/build/registersyslog.php $(PHP_PREFIX)\$(PHPDLL)

=== debian/changelog ===
php7.0 (7.0.4-7ubuntu2) xenial; urgency=medium

  * debian/patches/0052-backport-186844be.patch: Fix bug #71695: Global
    variables are resreved before execution.  Closes LP: #1569509.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 13 Apr 2016 12:45:21 -0700

php7.0 (7.0.4-7ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable (LP: #1567158). Remaining changes:
    - debian/patches/0051-backport-89a43425.patch: Fix incompatible
      pointers on 64-bit.  Closes LP #1558201.
  * Drop:
    - Add support for independent source packages php7.0 and
      php7.0-universe-source (LP #1555843):
    - d/control{,.in}: drop Build-Depends on firebird-dev, libc-client-dev,
      libmcrypt-dev, libonig-dev, libqdbm-dev and libzip-dev.
    - d/control: drop binary packages php7.0-imap, php7.0-interbase,
      php7.0-mcrypt and php7.0-zip and their reverse dependencies.
    - d/control{,.in}: add Build-Depends on dctrl-tools.
    - d/rules.d/ext-interbase.mk: add pdo config to interbase's
      config, as php7.0-universe-common will not use ext-common.mk.
    - d/control{,.in}: switch Build-Depends of netcat-traditional to
      netcat-openbsd as only the latter is in main.
    - d/rules: do not generate debian/tests/control when building for
      universe.
    - d/rules: use grep-dctrl to remove binary packages not generated by
      this source package during the build (dpkg-genchanges complains
      otherwise).
    - php7.0-interbase: Do not install pdo.so, as it is provided
      by php7.0-common (LP #1556486).
      [ Xenial now supports building packages in main with universe
        build-deps ]
    - debian/patches/0048-fix-bug-71659-pcre-segfault-in-twig-tests.patch:
      Replace bump regex with calculate_unit_length().  Closes LP:
      #1548442.
      [ merged in Debian ]
  * d/t/control{,.in}: add dependency on wget

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Thu, 07 Apr 2016 15:57:00 -0700

php7.0 (7.0.4-7) unstable; urgency=medium

  * Add upstart init script for backport reasons
  * Add do_tmpfiles() call to php-fpm-checkconf to get consistent
    behaviour in all init systems
  * Fix use of UNDEF instead of NULL in read_dimension
    (Courtesy of Nikita Popov)
  * libphp-embed 'update-alternatives --remove' call needs to be in prerm
    script
  * Override maintainer-script-empty prerm in PHP extension packages
  * apache2-module-depends-on-real-apache2-package lintian-override needs
    to go in php-sapi.lintian-overrides to have any effect
  * Move embedded library fileinfo lintian-override to
    php-common.lintian-overrides.extra
  * Add missing #EXTRA# to php-module.lintian-overrides template

 -- Ondřej Surý <ondrej@debian.org>  Fri, 25 Mar 2016 17:25:41 +0100

php7.0 (7.0.4-6) unstable; urgency=medium

  * Add patch to fix segmentation fault in pcre running twig tests
  * Register libphp@PHP_MAJOR@.so with update-alternatives, so there's no
    dangling symbol in the piuparts
  * Really expand $libdir and $datadir before AC_SUBST to allow passing
    ${prefix} as part of --with-libdir
  * Don't reset module provides at every dsoname, but at every module name
  * Set PEAR_INSTALL_DIR manually to /usr/share/php even if we are not
    building PEAR, so PEAR have correct paths

 -- Ondřej Surý <ondrej@debian.org>  Mon, 14 Mar 2016 16:11:21 +0100

php7.0 (7.0.4-5ubuntu2) xenial; urgency=medium

  * debian/patches/0048-fix-bug-71659-pcre-segfault-in-twig-tests.patch:
    Replace bump regex with calculate_unit_length().  Closes LP:
    #1548442.
  * debian/patches/0049-backport-89a43425.patch: Fix incompatible
    pointers on 64-bit.  Closes LP: #1558201.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Wed, 16 Mar 2016 12:30:50 -0700

php7.0 (7.0.4-5ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable (LP: #1553419). Remaining changes:
    - Add support for independent source packages php7.0 and
      php7.0-universe-source (LP #1555843):
      + d/control{,.in}: drop Build-Depends on firebird-dev, libc-client-dev,
        libmcrypt-dev, libonig-dev, libqdbm-dev and libzip-dev.
      + d/control: drop binary packages php7.0-imap, php7.0-interbase,
        php7.0-mcrypt and php7.0-zip and their reverse dependencies.
      + d/control{,.in}: add Build-Depends on dctrl-tools.
      + d/rules.d/ext-interbase.mk: add pdo config to interbase's
        config, as php7.0-universe-common will not use ext-common.mk.
    - d/control{,.in}: switch Build-Depends of netcat-traditional to
      netcat-openbsd as only the latter is in main.
    - d/rules: do not generate debian/tests/control when building for
      universe.
    - d/rules: use grep-dctrl to remove binary packages not generated by
      this source package during the build (dpkg-genchanges complains
      otherwise).
  * Drop:
    - d/rules: use grep{,-dctrl} to filter out makefile snippets and
      binary packages that require universe.
      [ Not present ]
    - Undocumented changes to debian/control.
      [ Prior merge churn]
  * php7.0-interbase: Do not install pdo.so, as it is provided
    by php7.0-common (LP: #1556486).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Mon, 14 Mar 2016 11:38:20 -0700

php7.0 (7.0.4-5) unstable; urgency=medium

  * Apply patch to make opcache lockfile path configurable
    (Courtesy of Gandi)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 09 Mar 2016 12:27:40 +0100

php7.0 (7.0.4-4) unstable; urgency=medium

  * Also kill old /etc/php/mods-available/zlib.ini
    (Closes: #817205, #817202)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 09 Mar 2016 10:08:25 +0100

php7.0 (7.0.4-3) unstable; urgency=medium

  * We need php_enable() in prerm script (Closes: #816763)
  * Force ucf and ucfr de-registration of old config files
  * ZLIB needs to be builtin module to support IMAGETYPE_SWC
  * Remove zlib extension from the list of extensions
  * php-common.preinst.extra was missing from d/prepare-files


=== debian/control ===
Source: php7.0
Section: php
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>,
           Thijs Kinkhorst <thijs@debian.org>,
           Lior Kaplan <kaplan@debian.org>
Build-Depends: apache2-dev (>= 2.4),
               autoconf (>= 2.63),
               automake (>= 1.11) | automake1.11,
               bison,
               chrpath,
               debhelper (>= 9),
               dh-apache2,
               dh-systemd (>= 1.3),
               dpkg-dev (>= 1.16.1~),
               firebird-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.5-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.1-dev [!hurd-any !m68k !hppa !ppc64],
               flex,
               freetds-dev,
               libapparmor-dev,
               libapr1-dev (>= 1.2.7-8),
               libbz2-dev,
               libc-client-dev,
               libcurl4-openssl-dev | libcurl-dev,
               libdb-dev,
               libedit-dev (>= 2.11-20080614-4),
               libenchant-dev,
               libevent-dev (>= 1.4.11),
               libexpat1-dev (>= 1.95.2-2.1),
               libfreetype6-dev,
               libgcrypt11-dev,
               libgd-dev (>= 2.1.0) | libgd2-dev,
               libglib2.0-dev,
               libgmp3-dev,
               libicu-dev,
               libjpeg-dev | libjpeg62-dev,
               libkrb5-dev,
               libldap2-dev,
               libmagic-dev,
               libmcrypt-dev,
               libmhash-dev (>= 0.8.8),
               libmysqlclient-dev | libmysqlclient15-dev,
               libonig-dev,
               libpam0g-dev,
               libpcre3-dev (>= 6.6),
               libpng-dev,
               libpq-dev,
               libpspell-dev,
               libqdbm-dev,
               librecode-dev,
               libsasl2-dev,
               libsnmp-dev,
               libsqlite3-dev,
               libssl-dev,
               libsystemd-dev [linux-any] | libsystemd-daemon-dev [linux-any],
               libtidy-dev,
               libtool (>= 2.2),
               libwebp-dev,
               libwrap0-dev,
               libxml2-dev,
               libxmlrpc-epi-dev,
               libxmltok1-dev,
               libxslt1-dev (>= 1.0.18),
               libzip-dev,
               locales-all | language-pack-de,
               mysql-server | virtual-mysql-server,
               netbase,
               netcat-traditional,
               re2c,
               systemtap-sdt-dev [amd64 i386 powerpc armel armhf ia64],
               tzdata,
               unixodbc-dev,
               zlib1g-dev
Build-Conflicts: bind-dev,
                 libxmlrpc-core-c3-dev
Standards-Version: 3.9.7
Vcs-Git: git://anonscm.debian.org/pkg-php/php.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php.git
Homepage: http://www.php.net/
XS-Testsuite: autopkgtest

Package: libapache2-mod-php7.0
Section: httpd
Architecture: any
Depends: libmagic1,
         mime-support,
         php7.0-cli,
         php7.0-common (= ${binary:Version}),
         php7.0-json,
         php7.0-opcache,
         tzdata,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libapache2-mod-php5 (<< 5.6.16+dfsg-4~),
           libapache2-mod-php5filter (<< 5.6.16+dfsg-4~)
Provides: libapache2-mod-php,
          ${php:Provides}
Suggests: php-pear
Description: server-side, HTML-embedded scripting language (Apache 2 module)
 This package provides the PHP module for the Apache 2 webserver (as
 found in the apache2-mpm-prefork package).  Please note that this package
 ONLY works with Apache's prefork MPM, as it is not compiled thread-safe.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: libphp7.0-embed
Architecture: any
Depends: libmagic1,
         mime-support,
         php7.0-common (= ${binary:Version}),
         tzdata,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: libphp-embed,
          ${php:Provides}
Suggests: php-pear
Conflicts: libphp5-embed (<< 5.6.16+dfsg-4~)
Priority: optional
Description: HTML-embedded scripting language (Embedded SAPI library)
 This package provides the library /usr/lib/libphp7.0.so which can
 be used by application developers to embed PHP scripting functionality.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.
 .
 WARNING: The embed SAPI is experimental and there's no guarantee that
 the API/ABI will be kept compatible even between minor releases.  You
 have been warned.

Package: php7.0
Architecture: all
Depends: php7.0-fpm | libapache2-mod-php7.0 | php7.0-cgi,
         php7.0-common,
         ${misc:Depends}
Conflicts: php5 (<< 5.6.16+dfsg-4~)
Provides: php
Description: server-side, HTML-embedded scripting language (metapackage)
 This package is a metapackage that, when installed, guarantees that you
 have at least one of the four server-side versions of the PHP interpreter
 installed. Removing this package won't remove PHP from your system, however
 it may remove other packages that depend on this one.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php7.0-cgi
Architecture: any
Depends: libmagic1,
         mime-support,
         php7.0-cli,
         php7.0-common (= ${binary:Version}),
         php7.0-json,
         php7.0-opcache,
         tzdata,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: php-cgi,
          ${php:Provides}
Conflicts: php5-cgi (<< 5.6.16+dfsg-4~)
Suggests: php-pear
Description: server-side, HTML-embedded scripting language (CGI binary)
 This package provides the /usr/lib/cgi-bin/php CGI interpreter built
 for use in Apache 2 with mod_actions, or any other CGI httpd that
 supports a similar mechanism.  Note that MOST users probably
 want the php7.0-fpm package.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php7.0-cli
Architecture: any
Depends: libedit2 (>= 2.11-20080614-4),
         libmagic1,
         mime-support,
         php7.0-common (= ${binary:Version}),
         php7.0-json,
         php7.0-opcache,
         php7.0-readline,
         tzdata,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: php-cli,
          ${php:Provides}
Breaks: php5-cli (<< 5.6.16+dfsg-4~)
Replaces: php5-cli (<< 5.6.16+dfsg-4~)
Suggests: php-pear
Description: command-line interpreter for the PHP scripting language
 This package provides the /usr/bin/php7.0 command interpreter, useful for
 testing PHP scripts from a shell or performing general shell scripting tasks.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php7.0-dev
Depends: autoconf (>= 2.63),
         automake (>= 1.11),
         libpcre3-dev,
         libssl-dev,
         php7.0-cli (>= ${binary:Version}),
         php7.0-common (= ${binary:Version}),
         shtool,
         ${libtool:Depends},
         ${misc:Depends},
         ${perl:Depends}
Conflicts: php5-dev (<< 5.6.16+dfsg-4~),
           ${libtool:Conflicts}
Architecture: any
Recommends: dh-php,
            pkg-php-tools
Description: Files for PHP7.0 module development
 This package provides the files from the PHP7.0 source needed for compiling
 additional modules.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php7.0-fpm
Architecture: any
Depends: libmagic1,
         mime-support,
         php7.0-cli,
         php7.0-common (= ${binary:Version}),
         php7.0-json,
         php7.0-opcache,
         tzdata,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: php-fpm,
          ${php:Provides}
Suggests: php-pear
Pre-Depends: ${misc:Pre-Depends}
Conflicts: php5-fpm (<< 5.6.16+dfsg-4~)
Description: server-side, HTML-embedded scripting language (FPM-CGI binary)
 This package provides the Fast Process Manager interpreter that runs
 as a daemon and receives Fast/CGI requests.  Note that MOST Apache users
 probably want the libapache2-mod-php7.0 package.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php7.0-phpdbg
Architecture: any
Depends: libmagic1,
         mime-support,
         php7.0-common (= ${binary:Version}),
         tzdata,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: php-phpdbg,
          ${php:Provides}
Conflicts: php5-phpdbg (<< 5.6.16+dfsg-4~)
Recommends: php-readline
Description: server-side, HTML-embedded scripting language (PHPDBG binary)
 This package provides the /usr/bin/phpdbg command interpreter, useful for
 stepthrough debugging of PHP code.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php7.0-xsl
Architecture: all
Depends: php7.0-common,
         php7.0-xml,
         ${misc:Depends}
Description: XSL module for PHP (dummy)
 This package is a transitional dummy package and can be safely
 removed.

Package: php7.0-odbc
Architecture: any
Depends: php-common (>= 1:33),
         ucf,
         ${misc:Depends},
         ${php:Depends},
	 ${php-odbc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends},
	     ${php-odbc:Pre-Depends}
Built-Using: ${php:Built-Using}
Replaces: ${php-odbc:Replaces}
Breaks: ${php-odbc:Breaks}
Conflicts: ${php-odbc:Conflicts}
Provides: ${php-odbc:Provides}
Description: ODBC module for PHP
 This package provides the ODBC module(s) for PHP.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php7.0-readline
Architecture: any
Depends: php-common (>= 1:33),
         ucf,
         ${misc:Depends},
         ${php:Depends},
	 ${php-readline:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends},
	     ${php-readline:Pre-Depends}
Built-Using: ${php:Built-Using}
Replaces: ${php-readline:Replaces}
Breaks: ${php-readline:Breaks}
Conflicts: ${php-readline:Conflicts}
Provides: ${php-readline:Provides}
Description: readline module for PHP
 This package provides the readline module(s) for PHP.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php7.0-recode
Architecture: any
Depends: php-common (>= 1:33),
         ucf,
         ${misc:Depends},
         ${php:Depends},
	 ${php-recode:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends},
	     ${php-recode:Pre-Depends}
Built-Using: ${php:Built-Using}
Replaces: ${php-recode:Replaces}
Breaks: ${php-recode:Breaks}
Conflicts: ${php-recode:Conflicts}

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode. 
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Enable parallel builds
PARALLEL=--parallel

# Enable this for debugging the sed scripts
#SED=$(CURDIR)/debian/sedsed
SED := sed

# Make the shell scripts fail after first failed command (important for SAPI loops)
SHELL := /bin/sh -e

# enable dpkg build flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_HOST_MULTIARCH
PHP_SOURCE_VERSION   := $(DEB_VERSION)
PHP_UPSTREAM_VERSION := $(DEB_VERSION_UPSTREAM)
PHP_DEBIAN_REVISION  := $(shell echo $(PHP_SOURCE_VERSION) | $(SED) -e 's/.*-//')
PHP_DFSG_VERSION     := $(shell echo $(PHP_UPSTREAM_VERSION) | $(SED) -e 's/+.*//')
PHP_MAJOR_VERSION    := $(shell echo $(PHP_DFSG_VERSION) | awk -F. '{print $$1}')
PHP_MINOR_VERSION    := $(shell echo $(PHP_DFSG_VERSION) | awk -F. '{print $$2}')
PHP_RELEASE_VERSION  := $(shell echo $(PHP_DFSG_VERSION) | awk -F. '{print $$3}')

# Enable ZTS build if $(DEB_SOURCE) ends with -zts
ZTS=$(shell echo $(DEB_SOURCE) | sed 's/php$(PHP_MAJOR_VERSION).$(PHP_MINOR_VERSION)//')
ifeq ($(ZTS),-zts)
$(warning Enabling ZTS build)
CONFIGURE_ZTS        := --enable-maintainer-zts
endif

PHP_NAME_VERSION     := $(PHP_MAJOR_VERSION).$(PHP_MINOR_VERSION)$(ZTS)
PHP_ZEND_VERSION     := $(shell $(SED) -ne 's/\#define ZEND_MODULE_API_NO //p' Zend/zend_modules.h)$(ZTS)

ifneq ($(DEB_SOURCE),php$(PHP_NAME_VERSION))
$(error $(DEB_SOURCE) != php$(PHP_NAME_VERSION))
endif
REAL_TARGETS         := apache2 phpdbg embed fpm cgi cli
EXTRA_TARGETS        := ext
TARGETS              := $(EXTRA_TARGETS) $(REAL_TARGETS)

# Special package names
PHP_PHP      := php$(PHP_NAME_VERSION)
PHP_COMMON   := php$(PHP_NAME_VERSION)-common
PHP_FPM      := php$(PHP_NAME_VERSION)-fpm
PHP_LIBEMBED := libphp$(PHP_NAME_VERSION)-embed
PHP_DEV      := php$(PHP_NAME_VERSION)-dev
PHP_APACHE2  := libapache2-mod-php$(PHP_NAME_VERSION)
PHP_CGI      := php$(PHP_NAME_VERSION)-cgi
PHP_CLI      := php$(PHP_NAME_VERSION)-cli
PHP_PHPDBG   := php$(PHP_NAME_VERSION)-phpdbg

# Generic commands

SED_VARIABLES := \
	$(SED) -e "s,@sapi@,$${sapi},g"				|\
	$(SED) -e "s,@package@,$${package},g"			|\
	$(SED) -e "s,@extensions@,$${extensions},g"		|\
	$(SED) -e "s,@module@,$${module},g"			|\
	$(SED) -e "s,@extdir@,$${extdir},g"			|\
	$(SED) -e "s,@priority@,$${priority},g"			|\
	$(SED) -e "s,@PHP_VERSION@,$(PHP_NAME_VERSION),g"	|\
	$(SED) -e "s,@PHP_MAJOR@,$(PHP_MAJOR_VERSION),g"	|\
	$(SED) -e "s,@PHP_MINOR@,$(PHP_MINOR_VERSION),g"	|\
	$(SED) -e "s,@PHP_RELEASE@,$(PHP_RELEASE_VERSION),g"	|\
	$(SED) -e "s,@PHP_API@,$(PHP_ZEND_VERSION),g"

SED_REPLACEMENT := $(SED) -e "/\#EXTRA\#/ r debian/$${versionless}.$${tmpl}.extra" | $(SED_VARIABLES) | $(SED) -e '/\#EXTRA\#/ d'

SAPI_PACKAGE := \
	case $${sapi} in \
	  embed)         package=$(PHP_LIBEMBED); source=libphp-$${sapi} ;; \
	  apache2)       package=$(PHP_APACHE2); source=libapache2-mod-php ;; \
	  *)             package=php$(PHP_NAME_VERSION)-$${sapi}; source=php-$${sapi} ;; \
	esac; \
	versionless=$$(echo $${package} | $(SED) -e 's/$(PHP_NAME_VERSION)//g');

MODULE_PACKAGE := \
	package=php$(PHP_NAME_VERSION)-$${module}; \
	versionless=$$(echo $${package} | $(SED) -e 's/$(PHP_NAME_VERSION)//g');

LIBTOOL_VERSION := $(shell dpkg-query -f'$${Version}' -W libtool)

# Disable the test now
RUN_TESTS := no
ifeq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
  $(warning Disabling checks due DEB_BUILD_OPTIONS)
  RUN_TESTS := no
endif
ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),hurd-i386 mips mipsel ppc64 ppc64el))
  $(warning Disabling checks on $(DEB_HOST_ARCH))
  RUN_TESTS := no
endif

ifeq (yes,$(RUN_TESTS))
  MYSQL_PORT ?= $(shell for i in $$(seq 1025 3600 | sort -R); do nc -z localhost $$i || { echo $$i; exit; } ; done)
  MYSQL_DATA_DIR ?= $(shell readlink -f mysql_db)
  ifeq (,$(MYSQL_PORT))
      $(error Could not find available port for mysql server)
  endif
  MYSQL_SOCKET ?= $(MYSQL_DATA_DIR)/mysql.sock
endif

ifeq (linux,$(DEB_HOST_ARCH_OS))
  CONFIGURE_SYSTEMD := --with-fpm-systemd
  DH_SYSTEMD        := --with systemd
else
  CONFIGURE_SYSTEMD := --without-fpm-systemd
  DH_SYSTEMD        :=
endif

ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),amd64 armel armhf i386 ia64 powerpc))
  CONFIGURE_DTRACE_ARGS := --enable-dtrace
else
  CONFIGURE_DTRACE_ARGS := --disable-dtrace
endif

# specify some options to our patch system
QUILT_DIFF_OPTS := -p
QUILT_NO_DIFF_TIMESTAMPS := 1 
export QUILT_DIFF_OPTS QUILT_NO_DIFF_TIMESTAMPS

export PROG_SENDMAIL := /usr/sbin/sendmail
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  DEB_CFLAGS_MAINT_APPEND += -O2
else
  DEB_CFLAGS_MAINT_APPEND += -O0
endif
DEB_CFLAGS_MAINT_APPEND += -Wall -pedantic -fsigned-char -fno-strict-aliasing 
DEB_CFLAGS_MAINT_APPEND += $(shell getconf LFS_CFLAGS)

# Enable IEEE-conformant floating point math on alphas (not the default)
ifeq (alpha-linux-gnu,$(DEB_HOST_GNU_TYPE))
  DEB_CFLAGS_MAINT_APPEND += -mieee
endif

# Enable producing of debugging information
DEB_CFLAGS_MAINT_APPEND += -g

DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_CFLAGS_MAINT_APPEND
export DEB_LDFLAGS_MAINT_APPEND

# some other helpful (for readability at least) shorthand variables
PHPIZE_BUILDDIR := debian/$(PHP_DEV)/usr/lib/php/$(PHP_ZEND_VERSION)/build

COMMON_CONFIG := \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--host=$(DEB_HOST_GNU_TYPE) \
		--config-cache --cache-file=$(CURDIR)/config.cache \
		--libdir=\$${prefix}/lib/php \
		--libexecdir=\$${prefix}/lib/php \
		--datadir=\$${prefix}/share/php/$(PHP_NAME_VERSION) \
		--program-suffix=$(PHP_NAME_VERSION) \
		--sysconfdir=/etc \
		--localstatedir=/var \
		--mandir=/usr/share/man \
		--disable-all \
		--disable-debug \
		--disable-rpath \
		--disable-static \
		--with-pic \
		--with-layout=GNU \
		--without-pear \
		--enable-filter \
		--with-openssl=yes \
		--with-pcre-regex=/usr \
		--enable-hash \
		  --with-mhash=/usr \
		--enable-libxml \
		--enable-session \
		--with-system-tzdata \
		--with-zlib=/usr \
		  --with-zlib-dir=/usr \
		$(CONFIGURE_ZTS) \
		$(CONFIGURE_DTRACE_ARGS)

# disable all SAPIs in extension build
export ext_config = \
		--prefix=/usr --enable-cli --disable-cgi --disable-phpdbg \
		--with-config-file-path=/etc/php/$(PHP_NAME_VERSION)/apache2 \
		--with-config-file-scan-dir=/etc/php/$(PHP_NAME_VERSION)/apache2/conf.d \
		$(COMMON_CONFIG)

export apache2_config = \
		--prefix=/usr --with-apxs2=/usr/bin/apxs2 --enable-cli --disable-cgi --disable-phpdbg \
		--with-config-file-path=/etc/php/$(PHP_NAME_VERSION)/apache2 \
		--with-config-file-scan-dir=/etc/php/$(PHP_NAME_VERSION)/apache2/conf.d \
		$(COMMON_CONFIG)

export cgi_config = \
		--prefix=/usr --enable-cgi --enable-cli --disable-phpdbg \
		--enable-force-cgi-redirect --enable-fastcgi \
		--with-config-file-path=/etc/php/$(PHP_NAME_VERSION)/cgi \
		--with-config-file-scan-dir=/etc/php/$(PHP_NAME_VERSION)/cgi/conf.d \
		$(COMMON_CONFIG) \
		--enable-pcntl

export cli_config = \
		--prefix=/usr --enable-cli --disable-cgi --disable-phpdbg \
		--with-config-file-path=/etc/php/$(PHP_NAME_VERSION)/cli \
		--with-config-file-scan-dir=/etc/php/$(PHP_NAME_VERSION)/cli/conf.d \
		$(COMMON_CONFIG) \
		--enable-pcntl \
		--with-libedit=shared,/usr

export embed_config = \
		--prefix=/usr --enable-embed --enable-cli --disable-cgi --disable-phpdbg \
		--with-config-file-path=/etc/php/$(PHP_NAME_VERSION)/embed \
		--with-config-file-scan-dir=/etc/php/$(PHP_NAME_VERSION)/embed/conf.d \
		$(COMMON_CONFIG) \
		--without-mm \
		--enable-pcntl

export fpm_config = \
		--prefix=/usr --enable-fpm --enable-cli --disable-cgi --disable-phpdbg \
		--sysconfdir=/etc/php/$(PHP_NAME_VERSION)/fpm \
		--with-fpm-user=www-data --with-fpm-group=www-data \
		--with-config-file-path=/etc/php/$(PHP_NAME_VERSION)/fpm \
		--with-config-file-scan-dir=/etc/php/$(PHP_NAME_VERSION)/fpm/conf.d \
		$(COMMON_CONFIG) \

=== debian/tests/control ===
Tests: cli
Depends: php7.0-cli

Tests: cgi
Depends: apache2, php7.0-cgi, wget
Restrictions: needs-root

Tests: mod-php
Depends: apache2, libapache2-mod-php7.0, wget
Restrictions: needs-root

Tests: fpm
Depends: apache2, php7.0-fpm, wget
Restrictions: needs-root

=== debian/watch ===
version=3
opts=downloadurlmangle=s#/a/#/this/#,\
filenamemangle=s#/get/(php-(7\.0\..*)\.tar\.xz)/.*#$1#,\
dversionmangle=s/\+dfsg$// \
https://secure.php.net/downloads.php /get/php-(7\.0\..*)\.tar\.xz/from/a/mirror debian

## php7.0 7.0.5

=== debian/changelog ===
php7.0 (7.0.5-1~dotdeb+8.1) stable; urgency=medium

  * Imported Upstream version 7.0.5

 -- Guillaume Plessis <gui@dotdeb.org>  Thu, 31 Mar 2016 15:08:07 +0000

php7.0 (7.0.4-1~dotdeb+8.1) stable; urgency=medium

  * Imported Upstream version 7.0.4
  * Patches refresh for 7.0.4

 -- Guillaume Plessis <gui@dotdeb.org>  Thu, 03 Mar 2016 16:31:35 +0000

## php7.0 7.0.6

=== debian/changelog ===
php7.0 (7.0.6-1~dotdeb+8.1) stable; urgency=medium

  * Imported Upstream version 7.0.6

 -- Guillaume Plessis <gui@dotdeb.org>  Fri, 29 Apr 2016 12:23:49 +0000
